curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/liquidation-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "USDC_POLYGON",
"paymentInstructionId": "cm2c4x3cc000019stwv7um4zl",
"counterPartyIdentityId": "cm2c4x3cc000019stwv7um4zl",
"developerFeePercent": 1.5,
"returnAddress": "0x0d8775f648430679a709e98d2b0cb6250d2887ef",
"businessIdentityId": "cm2c4x3cc000019stwv7um4zl"
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/liquidation-addresses"
payload = {
"asset": "USDC_POLYGON",
"paymentInstructionId": "cm2c4x3cc000019stwv7um4zl",
"counterPartyIdentityId": "cm2c4x3cc000019stwv7um4zl",
"developerFeePercent": 1.5,
"returnAddress": "0x0d8775f648430679a709e98d2b0cb6250d2887ef",
"businessIdentityId": "cm2c4x3cc000019stwv7um4zl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'USDC_POLYGON',
paymentInstructionId: 'cm2c4x3cc000019stwv7um4zl',
counterPartyIdentityId: 'cm2c4x3cc000019stwv7um4zl',
developerFeePercent: 1.5,
returnAddress: '0x0d8775f648430679a709e98d2b0cb6250d2887ef',
businessIdentityId: 'cm2c4x3cc000019stwv7um4zl'
})
};
fetch('https://sandbox-api.borderless.xyz/v1/liquidation-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"paymentInstructionId": "<string>",
"counterPartyIdentityId": "<string>",
"status": "Active",
"asset": "POL",
"fiat": "USD",
"country": "AF",
"paymentMethod": "ACH",
"address": "<string>",
"returnAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"failureReason": {}
}Create a new Liquidation Address
Create a new Liquidation Address using the data provided in the request body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The token tied to a specific blockchain that the liquidation address will receive.
POL, USDT_POLYGON, USDC_POLYGON, SBC_POLYGON, ETH, USDT_ETHEREUM, USDC_ETHEREUM, PYUSD_ETHEREUM, DAI_ETHEREUM, EURC_ETHEREUM, SBC_ETHEREUM, TRX, USDT_TRON, SBC_TRON, ETH_BASE, USDC_BASE, USDB_BASE, EURC_BASE, SBC_BASE, ETH_OPTIMISM, USDT_OPTIMISM, USDC_OPTIMISM, BTC, CELO, CUSD_CELO, USDC_CELO, SBC_CELO, SOL, USDC_SOLANA, USDT_SOLANA, PYUSD_SOLANA, USDP_SOLANA, EURC_SOLANA, SBC_SOLANA "USDC_POLYGON"
The ID of the payment instruction where converted fiat funds will be paid out. Every crypto deposit to the liquidation address is automatically converted and sent there.
"cm2c4x3cc000019stwv7um4zl"
The ID of the identity to associate with the liquidation address. If not provided, the identity that owns the payment instruction is used.
"cm2c4x3cc000019stwv7um4zl"
The percentage of the developer fee for the liquidation address, if applicable
1.5
Specific PFI to use for this liquidation address. If omitted, the organization's default PFI is used.
Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Kira, TripleA, Onmeta, Alfred, Tazapay, Demo, CrissCross, Pockyt The blockchain address where deposits are returned when a payout fails, if the provider supports it.
"0x0d8775f648430679a709e98d2b0cb6250d2887ef"
The ID of the business identity whose payment-provider credentials own this liquidation address and its payouts. Required when the organization has multiple per-business-identity credential sets configured; optional when a single set of credentials is configured.
"cm2c4x3cc000019stwv7um4zl"
Response
Successfully created Liquidation Address data.
Active, NotActive, Rejected POL, USDT_POLYGON, USDC_POLYGON, SBC_POLYGON, ETH, USDT_ETHEREUM, USDC_ETHEREUM, PYUSD_ETHEREUM, DAI_ETHEREUM, EURC_ETHEREUM, SBC_ETHEREUM, TRX, USDT_TRON, SBC_TRON, ETH_BASE, USDC_BASE, USDB_BASE, EURC_BASE, SBC_BASE, ETH_OPTIMISM, USDT_OPTIMISM, USDC_OPTIMISM, BTC, CELO, CUSD_CELO, USDC_CELO, SBC_CELO, SOL, USDC_SOLANA, USDT_SOLANA, PYUSD_SOLANA, USDP_SOLANA, EURC_SOLANA, SBC_SOLANA The fiat currency this deposit instruction serves. Virtual accounts for this currency surface the entry among their deposit instructions.
USD, EUR, BRL, ARS, MXN, COP, CLP, PEN, PYG, DOP, UYU, BOB, CRC, GTQ, BWP, CDF, GHS, KES, MWK, NGN, RWF, ZAR, TZS, UGX, ZMW, XOF, XAF, AUD, BDT, CAD, INR, JPY, NPR, PKR, PHP, SGD, GBP, CNY, HKD, IDR, MYR, KRW, LKR, THB, TRY, VND, CZK, HUF, DKK, NOK, PLN, RON, RSD, SEK, CHF, AED, SAR, QAR, ILS, EGP, JOD, HNL, JMD, NZD, DZD, GMD, GNF, HTG, MAD, TND AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ ACH, Wire, Sepa, Swift, Card, MobileMoney, PIX, TED, PSE, SPEI, COELSA, Transfers30, SPAV, TEF, CCE, SPI, LBTR, SINPE, Transfer365, NIP, GhIPSS, BankTransfer, EFT, RTP, BECS, FPS, IMPS_FIRC, Breb, NPSS, MADA, ZAHAV, IBFT, SIC, Alipay, Tips, Napas, BiFast, FastSg, Instapay, Ipp, Giro, Elixir, FastRtp, TransFond, Nics, Cnaps, UPI The blockchain address that automatically converts deposits to fiat.
Was this page helpful?